summarylogtreecommitdiffstats
path: root/ten-hands.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-29 15:35:22 +0800
committerzxp198210052024-02-29 15:35:22 +0800
commitae37cfdd1a87799d9a894141914ae6388315f9de (patch)
treeea1be8caeb3b06842b91fbff2bbd9c8e45a8f571 /ten-hands.sh
parent1b34f0036a73a58ec6e2547fef098c88f926e985 (diff)
downloadaur-ae37cfdd1a87799d9a894141914ae6388315f9de.tar.gz
fix errors
Diffstat (limited to 'ten-hands.sh')
-rw-r--r--ten-hands.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/ten-hands.sh b/ten-hands.sh
index aacd8f895847..e6784b369c25 100644
--- a/ten-hands.sh
+++ b/ten-hands.sh
@@ -1,15 +1,15 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@"
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
-fi
-exit \ No newline at end of file
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file